Groovy Documentation

## org.codehaus.groovy.grails.plugins
[Groovy] Class LoggingGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.LoggingGrailsPlugin

    class LoggingGrailsPlugin

Provides a lazy initialized commons logging log property for all classes.

Authors:
  Marc Palmer
  Graeme Rocher

Since:
  0.4

Property Summary
`java.lang.Object` | `doWithDynamicMethods`
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `loadBefore`
`java.lang.Object` | `observe`
`java.lang.Object` | `onChange`
`java.lang.Object` | `onConfigChange`
`java.lang.Object` | `version`

Method Summary
`java.lang.Object` | `addLogMethod(java.lang.Object artefactClass, java.lang.Object handler)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### doWithDynamicMethods

    java.lang.Object doWithDynamicMethods

### doWithSpring

    java.lang.Object doWithSpring

### loadBefore

    java.lang.Object loadBefore

### observe

    java.lang.Object observe

### onChange

    java.lang.Object onChange

### onConfigChange

    java.lang.Object onConfigChange

### version

    java.lang.Object version

Method Detail

### addLogMethod

    java.lang.Object addLogMethod(java.lang.Object artefactClass, java.lang.Object handler)

Groovy Documentation